LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
ClipboardEvent Struct Referencepublished

A clipboard uses this object to notify its listeners of content changes. More...

`import"ClipboardEvent.idl";`

Inheritance diagram for ClipboardEvent:

## Public Attributes
com::sun::star::datatransfer::XTransferable | Contents
| The current content of the clipboard. More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

A clipboard uses this object to notify its listeners of content changes.

See Also
  com::sun::star::datatransfer::clipboard::XClipboardListener

## Member Data Documentation

com::sun::star::datatransfer::XTransferable Contents

The current content of the clipboard.

The documentation for this struct was generated from the following file:

- com/sun/star/datatransfer/clipboard/ClipboardEvent.idl